V1Webhooks

webhook更新

PUT
/v1/webhooks/{webhookId}

Path Parameters

webhookId*string

webhook.id

Header Parameters

X-Proteger-Auth-Token*string

protegerAccessToken

Content-Type*string

application/json

Accept*string

application/json

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X PUT "https://example.com/v1/webhooks/c2e1f15e-7b2e-c59d-d197-a2465ca7e26a" \  -H "X-Proteger-Auth-Token: string" \  -H "Content-Type: string" \  -H "Accept: string" \  -H "Content-Type: application/json" \  -d '{    "address": "https://example.com/plans/create"  }'
{  "id": "c2e1f15e-7b2e-c59d-d197-a2465ca7e26a",  "address": "https://example.com/plans/create",  "topic": "plans/create",  "createdAt": "2021-01-31T13:16:06.239289+09:00",  "updatedAt": "2021-01-31T13:16:06.239289+09:00"}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}
{  "requestId": "kJZQv3lyB2rjHKNbeGBy5HMet4MO0nw9",  "code": "BadRequestException",  "error": "failed create contract: failed get product: not found"}